#644 Module Unification (removing implicit cyclic dependencies from production/tests)

Accepted
closed
nobody
master
1
2013-07-31
2013-06-05
John May
No

Lots of shuffling to allow production/test modules to be collapsed when moving to maven. So far all modules except, interfaces, core, standard, valency-check, extra and atomtype can not be merged into a single module. It might be possible to merge interfaces but the others are very tightly coupled. This patch simply reorganises and modifies the code in the current structure.

Most of the work was in working out where the weak points were (i.e. a single unit test requiring dependence on a whole module). Tests were either moved to a better module or altered so as to not depend on other parts (a 'unit' test).

Changes start from commit 4bacfc2:
module-unification

Discussion

  • John May

    John May - 2013-06-05
    • Description has changed:

    Diff:

    --- old
    +++ new
    @@ -3,4 +3,4 @@
     Most of the work was in working out where the weak points were (i.e. a single unit test requiring dependence on a whole module). Tests were either moved to a better module or altered so as to not depend on other parts (a 'unit' test).
    
     Changes start from commit [4bacfc2](https://github.com/johnmay/cdk/commit/4bacfc23cbdf29301be357059bf29f5887100499):
    -[module-unification](https://github.com/johnmay/cdk/commits/feature/module-unificatio)
    +[module-unification](https://github.com/johnmay/cdk/commits/feature/module-unification)
    
     
  • Egon Willighagen

    • status: open --> closed
    • Group: Needs_Review --> Accepted
     
  • Egon Willighagen

    There are some unit tests now ignored which I will try to have a closer look at later. In principle, it would be nice if you could discuss those things on the cdk-devel@ mailing list before submitting the patch, but alas...

    Overall, I think it's an important step forward, and things still compile. Let's see what Nightly has to say about it :)

     
  • John May

    John May - 2013-08-01

    On 31 Jul 2013, at 19:55, Egon Willighagen egonw@users.sf.net wrote:

    There are some unit tests now ignored which I will try to have a closer look at later. In principle, it would be nice if you could discuss those things on the cdk-devel@ mailing list before submitting the patch, but alas...

    Overall, I think it's an important step forward, and things still compile. Let's see what Nightly has to say about it :)

    [patches:#644] Module Unification (removing implicit cyclic dependencies from production/tests)

    Status: closed
    Labels: master modules
    Created: Wed Jun 05, 2013 09:37 AM UTC by John May
    Last Updated: Wed Jun 05, 2013 09:39 AM UTC
    Owner: nobody

    Lots of shuffling to allow production/test modules to be collapsed when moving to maven. So far all modules except, interfaces, core, standard, valency-check, extra and atomtype can not be merged into a single module. It might be possible to merge interfaces but the others are very tightly coupled. This patch simply reorganises and modifies the code in the current structure.

    Most of the work was in working out where the weak points were (i.e. a single unit test requiring dependence on a whole module). Tests were either moved to a better module or altered so as to not depend on other parts (a 'unit' test).

    Changes start from commit 4bacfc2:
    module-unification

    Sent from sourceforge.net because cdk-patches@lists.sourceforge.net is subscribed to https://sourceforge.net/p/cdk/patches/

    To unsubscribe from further messages, a project admin can change settings at https://sourceforge.net/p/cdk/admin/patches/options. Or, if this is a mailing list, you can unsubscribe from the mailing list.


    Get your SQL database under version control now!
    Version control is standard for application code, but databases havent
    caught up. So what steps can you take to put your SQL databases under
    version control? Why should you start doing it? Read more to find out.
    http://pubads.g.doubleclick.net/gampad/clk?id=49501711&iu=/4140/ostg.clktrk_______
    Cdk-patches mailing list
    Cdk-patches@lists.sourceforge.net
    https://lists.sourceforge.net/lists/listinfo/cdk-patches

     
  • John May

    John May - 2013-08-01

    Hmm, will double check those. I think most of the ignore ones were ones which i moved (and the ignore should say where it is now).

    J

    On 31 Jul 2013, at 19:55, Egon Willighagen egonw@users.sf.net wrote:

    There are some unit tests now ignored which I will try to have a closer look at later. In principle, it would be nice if you could discuss those things on the cdk-devel@ mailing list before submitting the patch, but alas...

    Overall, I think it's an important step forward, and things still compile. Let's see what Nightly has to say about it :)

    [patches:#644] Module Unification (removing implicit cyclic dependencies from production/tests)

    Status: closed
    Labels: master modules
    Created: Wed Jun 05, 2013 09:37 AM UTC by John May
    Last Updated: Wed Jun 05, 2013 09:39 AM UTC
    Owner: nobody

    Lots of shuffling to allow production/test modules to be collapsed when moving to maven. So far all modules except, interfaces, core, standard, valency-check, extra and atomtype can not be merged into a single module. It might be possible to merge interfaces but the others are very tightly coupled. This patch simply reorganises and modifies the code in the current structure.

    Most of the work was in working out where the weak points were (i.e. a single unit test requiring dependence on a whole module). Tests were either moved to a better module or altered so as to not depend on other parts (a 'unit' test).

    Changes start from commit 4bacfc2:
    module-unification

    Sent from sourceforge.net because cdk-patches@lists.sourceforge.net is subscribed to https://sourceforge.net/p/cdk/patches/

    To unsubscribe from further messages, a project admin can change settings at https://sourceforge.net/p/cdk/admin/patches/options. Or, if this is a mailing list, you can unsubscribe from the mailing list.


    Get your SQL database under version control now!
    Version control is standard for application code, but databases havent
    caught up. So what steps can you take to put your SQL databases under
    version control? Why should you start doing it? Read more to find out.
    http://pubads.g.doubleclick.net/gampad/clk?id=49501711&iu=/4140/ostg.clktrk_______
    Cdk-patches mailing list
    Cdk-patches@lists.sourceforge.net
    https://lists.sourceforge.net/lists/listinfo/cdk-patches

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks